httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kurt Lidl <kurt.l...@cello.com>
Subject Re: 2.12 vs 2.08
Date Tue, 19 May 2009 18:30:53 GMT
Philip M. Gollucci wrote:
> Philip M. Gollucci wrote:
>   
>> The long answer is I don't know what we broke yet.
>>     
> http://people.apache.org/~pgollucci/v2_08_vs_v2_12.diff
>
> Well, AFAIK, that diff (a subset) are the only possible things that
> could have caused it. Lets see if I can figure it out before I fall asleep.
>   
Experimentation shows that if one installs the 'fastdep' program, 
arranges to have aclocal and autoconf
in one's path and then run './buildconf', it will generate working 
Makefiles, that will just work on OpenSolaris.

I also noticed that the automake used for 2.08 was 1.9.6 and the 
automake used for
2.12 was 1.6.3.  1.6.3 is, um, ancient. When I re-ran the autoconf with 
the 1.9.6 version
of autoconf, it works with just the regular "make" on OpenSolaris.

Perhaps just regenerating the Makefile.in contents with a newer 
autoconfigure would be enough to fix this
problem on other machines?

-Kurt


Mime
View raw message